Bug 77783

Summary: Convert RenderTheme over to LayoutUnits
Product: WebKit Reporter: Emil A Eklund <eae>
Component: Layout and RenderingAssignee: Emil A Eklund <eae>
Status: RESOLVED FIXED    
Severity: Normal CC: darin, eric, leviw, simon.fraser, tkent, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 60318    
Attachments:
Description Flags
Patch none

Description Emil A Eklund 2012-02-03 14:42:34 PST
Change the RenderTheme classes to use the new layout abstraction.
Comment 1 Emil A Eklund 2012-02-03 15:01:14 PST
Created attachment 125428 [details]
Patch
Comment 2 Eric Seidel (no email) 2012-02-03 15:05:05 PST
Comment on attachment 125428 [details]
Patch

LGTM.  This should have no fuctional change currently, correct?
Comment 3 Emil A Eklund 2012-02-03 15:08:01 PST
> This should have no fuctional change currently, correct?

Correct.
Comment 4 WebKit Review Bot 2012-02-04 01:42:57 PST
Comment on attachment 125428 [details]
Patch

Clearing flags on attachment: 125428

Committed r106734: <http://trac.webkit.org/changeset/106734>
Comment 5 WebKit Review Bot 2012-02-04 01:43:02 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Simon Fraser (smfr) 2012-02-04 09:52:31 PST
"the new layout abstraction" might mean something to you, but it doesn't mean anything to me. Do you mean "to the new layout units"?
Comment 7 Eric Seidel (no email) 2012-02-04 10:56:24 PST
This is all part of the effort to switch to a fixed-point layout.  See discussion in bug 60318 and various dependent bugs.  I believe there has also been discussion on #webkit.  Emil (eaa) and Levi (leviw) are the men behind the curtain and I'm sure could explain at much greater lengths than I.
Comment 8 Simon Fraser (smfr) 2012-02-05 01:35:03 PST
After looking at the patch I could see what this was about. I could not tell from the too-obstuse bug title.
Comment 9 Kent Tamura 2012-02-05 17:45:32 PST
We have the followings too:
 WebCore/platform/efl/RenderThemeEfl*
 WebCore/platform/gtk/RenderThemeGtk*
 WebCore/platform/qt/RenderThemeQt*
 WebCore/platform/wx/RenderThemeWx*